.hero {
  min-width: 320px;
  overflow: hidden;

  .hero-bg {
    width: 100%;
    background-color: $col-section-header;
  }

  .hero-container {
    justify-content: space-between;
    align-items: center;
    align-content: center;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    position: relative;
    padding: 0 10px;
    @media (max-width: 987px) {
      height: 150px;
    }
    @media (max-width: 570px) {
      height: auto;
    }
  }

  .hero-logo {
    display: flex;
    align-items: center;
    align-content: center;
    @media (max-width: 987px) {
      margin-bottom: 50px;
    }
    @media (max-width: 570px) {
      margin-bottom: 0;
    }
  }

  .logo {
    height: auto;
    width: 100%;
    max-width: 80px;
    @media (max-width: 378px) {
      height: 70px;
      margin-left: 20px;
    }
  }

  .hero-nav {
    display: flex;
    justify-content: space-around;
    align-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: 0 20px -10px 20px;
    @media (max-width: 987px) {
      position: absolute;
      left: 0;
      right: 0;
      bottom: 10px;
    }
    @media (max-width: 570px) {
      display: none;
    }

    &__item {
      padding: 5px 20px;
      @media (max-width: 987px) {
        padding: 5px 10px;
      }
    }

    &__link {
      text-decoration: none;
      font-family: $font-all-text;
      color: #181814;
      font-size: 20px;
      line-height: 20px;
    }
  }

  .slogan {
    font-family: $font-all-text;
    font-size: 45px;
    font-weight: bold;
    padding: 5px;

    @media (max-width: 378px) {
      font-size: 30px;
    }

    &__container {
      max-width: 1200px;
      display: flex;
      align-items: center;
      align-content: center;
      margin: 0 auto;

      @media (max-width: 900px) {
        display: block;
      }

    }

    &__bg {
      background-color: $col-section-yellow;
      @media (max-width: 900px) {
        //background-image: url("../img/hero-icon.png");
        //background-size: cover;
        //background-position: center;
        //background-repeat: no-repeat;
        width: 100%;
      }
    }

    &__text-block {
      min-width: 300px;
      max-width: 600px;
      padding: 0 10px;
      display: flex;
      flex-direction: column;
      @media (max-width: 900px) {
        margin: 0 auto;
        padding: 10% 10px;
      }
    }

    &__title {
      font-family: $font-all-text;
      font-size: 20px;
      font-weight: normal;
      line-height: 40px;
      @media (max-width: 900px) {
        text-align: center;
        font-size: 25px;
      }
    }

    &__img-container {
      position: relative;
      padding-top: 40%;
      width: 50%;
      @media (max-width: 900px) {
        display: none;
      }
    }

    &__icon {
      position: absolute;
      right: -40%;
      top: 0;
      width: 145%;
      height: fit-content;
      @media (max-width: 1140px) {
        top: 5%;
        width: 160%;
      }
    }
  }

  .social-icons {
    display: flex;
    align-content: center;
    align-items: center;
    @media (max-width: 987px) {
      margin-bottom: 50px;
    }
    @media (max-width: 570px) {
      margin-bottom: 0;
    }

    &__insta {
      width: 30px;
      height: 30px;
      margin-right: 5px;
    }

    &__telegram {
      width: 30px;
      height: 30px;
      margin-left: 5px;
    }
  }

  .title-style {
    font-family: $font-title-text;
    font-size: 50px;
    display: block;
    margin-bottom: 15px;
    line-height: 75px;
    @media (max-width: 900px) {
      font-size: 57px;
    }
  }
}

.hamburger-menu {
  display: none;
  @media (max-width: 570px) {
    display: block;
  }
}

#menu__toggle {
  opacity: 0;
}

.menu__btn {
  display: flex;
  align-items: center;
  position: absolute;
  top: 20px;
  left: 20px;
  width: 26px;
  height: 26px;
  cursor: pointer;
  z-index: 1;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #616161;
}

.menu__btn > span::before {
  content: '';
  top: -8px;
}

.menu__btn > span::after {
  content: '';
  top: 8px;
}

.menu__box {
  display: block;
  position: fixed;
  visibility: hidden;
  top: 0;
  left: -100%;
  width: 300px;
  height: 100%;
  margin: 0;
  padding: 80px 0;
  list-style: none;
  text-align: center;
  background-color: $col-section-header;
  box-shadow: 1px 0 6px rgba(0, 0, 0, .2);
}

.menu__item {
  display: block;
  padding: 17px 24px;
  color: #181814;
  font-family: $font-all-text;
  font-size: 25px;
  font-weight: 600;
  text-decoration: none;
}

.menu__item:hover {
  background-color: $col-section-white;
}

#menu__toggle:checked ~ .menu__btn > span {
  transform: rotate(45deg);
}

#menu__toggle:checked ~ .menu__btn > span::before {
  top: 0;
  transform: rotate(0);
}

#menu__toggle:checked ~ .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu__box {
  visibility: visible;
  left: 0;
}

.back-to-top {
  position: fixed;
  bottom: 80px;
  right: 40px;
  z-index: 9999;
  width: 50px;
  height: 50px;
  text-align: center;
  line-height: 47px;
  cursor: pointer;
  border: none;
  transition: background-color .3s,
  opacity .5s, visibility .5s;
  display: none;
}

.up :hover {
  cursor: pointer;
  border-color: #333;
}
.up p:active {
  border-color: #555;
}

i {
  border: solid #FF9800;
  border-width: 0 8px 8px 0;
  display: inline-block;
  padding: 14px;
}
.up {
  transform: rotate(-135deg);
}